## python-os-testr 0.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3
testrepository>=0.0.18
python-subunit>=0.0.18
testtools>=0.9.36,!=1.2.0

=== debian/changelog ===
python-os-testr (0.2.0-4) unstable; urgency=medium

  * Fixed tweak of $PATH when running tests (Closes: #806489).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Dec 2015 09:48:32 +0100

python-os-testr (0.2.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:20:44 +0000

python-os-testr (0.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:14:34 +0000

python-os-testr (0.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself as uploader.
  * Added python{3,}-ddt as build-depends.
  * Using git tag based workflow as the package is from OpenStack:
    - Dropped upstream tarball artifacts (ChangeLog, AUTHORS, PKG-INFO).
    - Fixed debian/gbp.conf
    - Added export OSLO_PACKAGE_VERSION=$(VERSION) in debian/rules.
  * Added unit tests:
    - Added it in debian/rules.
    - Added in debian/bin a ostestr thing which is normally generated by pbr.
  * Dropped Py3 compat patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Jul 2015 21:40:51 +0200

python-os-testr (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #789613).

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jun 2015 11:12:25 +0100

=== debian/control ===
Source: python-os-testr
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-ddt,
                     python-hacking,
                     python-oslosphinx (>= 2.2.0),
                     python-oslotest (>= 1.2.0),
                     python-six (>= 1.9.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.36),
                     python3-babel (>= 1.3),
                     python3-ddt,
                     python3-oslotest (>= 1.2.0),
                     python3-six (>= 1.9.0),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 0.9.36),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-os-testr.git
Vcs-Git: git://anonscm.debian.org/openstack/python-os-testr.git
Homepage: http://github.com/openstack/os-testr
XS-Testsuite: autopkgtest

Package: python-os-testr
Architecture: all
Depends: python-babel (>= 1.3),
         python-testtools (>= 0.9.36),
         python-testrepository (>= 0.0.18),
         subunit (>= 0.0.18),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-tempest-lib (<< 0.5.0-2~),
Replaces: python-tempest-lib (<< 0.5.0-2~),
Suggests: python-os-testr-doc,
Description: Utility wrappers for testrepository for OpenStack projects - Python 2.x
 A number of small wrappers to support use of testrepository
 across OpenStack projects.
 .
 This package contains the Python 2.x module and binaries.

Package: python3-os-testr
Architecture: all
Depends: python3-babel (>= 1.3),
         python3-subunit (>= 0.0.18),
         python3-testrepository (>= 0.0.18),
         python3-testtools (>= 0.9.36),
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-tempest-lib (<< 0.5.0-2~),
Replaces: python3-tempest-lib (<< 0.5.0-2~),
Suggests: python-os-testr-doc,
Description: Utility wrappers for testrepository for OpenStack projects - Python 3.x
 A number of small wrappers to support use of testrepository
 across OpenStack projects.
 .
 This package contains the Python 3.x module and binaries.

Package: python-os-testr-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Utility wrappers for testrepository for OpenStack projects - doc
 A number of small wrappers to support use of testrepository
 across OpenStack projects.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/os-testr.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-os-testr; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-os-testr; \
	done
	rm -rf $(CURDIR)/debian/python*-os-testr/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-os-testr/usr/bin/ostestr $(CURDIR)/debian/python-os-testr/usr/bin/python2-ostestr
	mv $(CURDIR)/debian/python3-os-testr/usr/bin/ostestr $(CURDIR)/debian/python3-os-testr/usr/bin/python3-ostestr
	mv $(CURDIR)/debian/python-os-testr/usr/bin/subunit-trace $(CURDIR)/debian/python-os-testr/usr/bin/python2-subunit-trace
	mv $(CURDIR)/debian/python3-os-testr/usr/bin/subunit-trace $(CURDIR)/debian/python3-os-testr/usr/bin/python3-subunit-trace
	mv $(CURDIR)/debian/python-os-testr/usr/bin/subunit2html $(CURDIR)/debian/python-os-testr/usr/bin/python2-subunit2html
	mv $(CURDIR)/debian/python3-os-testr/usr/bin/subunit2html $(CURDIR)/debian/python3-os-testr/usr/bin/python3-subunit2html

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		chmod +x $(CURDIR)/debian/bin/* ; \
		for j in $(CURDIR)/debian/bin/* ; do \
			echo sed "1 s/.*/#\!\/usr\/bin\/python$$i/" $$j ; \
		done ; \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		export PATH=$$PATH:$(CURDIR)/debian/bin ; PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
	set -e ; set -x ; for j in $(CURDIR)/debian/bin/* ; do \
		echo sed "1 s/.*/#\!\/usr\/bin\/python/" $$j ; \
	done
endif


override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-os-testr-doc/usr/share/doc/python-os-testr-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-os-testr 0.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.3,<2.0
Babel>=1.3
testrepository>=0.0.18
python-subunit>=0.0.18
testtools>=1.4.0

=== debian/changelog ===
python-os-testr (0.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.
  * Added generate-subunit to the pool of update-alternatives managed command
    line programs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 09:00:23 +0000

python-os-testr (0.4.2-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

  [ Corey Bryant ]
  * d/control: Update uploaders.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Dec 2015 15:07:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>,
            Thomas Goirand <zigo@debian.org>,
+           Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr,
+               python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr,
+               python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-babel (>= 1.3),
                      python-coverage (>= 3.6),
@@ -22,25 +23,26 @@
                      python-oslotest (>= 1.2.0),
                      python-six (>= 1.9.0),
                      python-testscenarios (>= 0.4),
-                     python-testtools (>= 0.9.36),
+                     python-testtools (>= 1.4.0),
                      python3-babel (>= 1.3),
                      python3-ddt,
                      python3-oslotest (>= 1.2.0),
                      python3-six (>= 1.9.0),
                      python3-testscenarios (>= 0.4),
-                     python3-testtools (>= 0.9.36),
+                     python3-testtools (>= 1.4.0),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-os-testr.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-os-testr.git
-Homepage: http://github.com/openstack/os-testr
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-os-testr.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-os-testr.git
+Homepage: https://github.com/openstack/os-testr
 XS-Testsuite: autopkgtest
 
 Package: python-os-testr
 Architecture: all
 Depends: python-babel (>= 1.3),
-         python-testtools (>= 0.9.36),
+         python-pbr (>= 1.8),
+         python-testtools (>= 1.4.0),
          python-testrepository (>= 0.0.18),
          subunit (>= 0.0.18),
          ${misc:Depends},
@@ -57,9 +59,10 @@
 Package: python3-os-testr
 Architecture: all
 Depends: python3-babel (>= 1.3),
+         python3-pbr (>= 1.8),
          python3-subunit (>= 0.0.18),
          python3-testrepository (>= 0.0.18),
-         python3-testtools (>= 0.9.36),
+         python3-testtools (>= 1.4.0),
          ${misc:Depends},
          ${python3:Depends},
 Breaks: python3-tempest-lib (<< 0.5.0-2~),

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,8 @@
 	mv $(CURDIR)/debian/python3-os-testr/usr/bin/subunit-trace $(CURDIR)/debian/python3-os-testr/usr/bin/python3-subunit-trace
 	mv $(CURDIR)/debian/python-os-testr/usr/bin/subunit2html $(CURDIR)/debian/python-os-testr/usr/bin/python2-subunit2html
 	mv $(CURDIR)/debian/python3-os-testr/usr/bin/subunit2html $(CURDIR)/debian/python3-os-testr/usr/bin/python3-subunit2html
+	mv $(CURDIR)/debian/python-os-testr/usr/bin/generate-subunit $(CURDIR)/debian/python-os-testr/usr/bin/python2-generate-subunit
+	mv $(CURDIR)/debian/python3-os-testr/usr/bin/generate-subunit $(CURDIR)/debian/python3-os-testr/usr/bin/python3-generate-subunit
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: unittests
Depends: @, @builddeps@
Restrictions: allow-stderr needs-root

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/os-testr/os-testr-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-os-testr 0.7.0

=== debian/changelog ===
python-os-testr (0.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:30 +0200

python-os-testr (0.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/bin/ostestr: Update import for rename of os_testr.py to ostestr.py.

  [ Thomas Goirand ]
  * python-os-testr must build-conflicts on itself.
  * Added remove-privacy-breach-in-README.rst.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Jun 2016 13:35:59 +0000

=== debian/control ===
--- 
+++ 
@@ -15,32 +15,34 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel (>= 1.3),
+Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage (>= 3.6),
                      python-ddt,
                      python-hacking,
-                     python-oslosphinx (>= 2.2.0),
-                     python-oslotest (>= 1.2.0),
+                     python-oslosphinx (>= 2.5.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-six (>= 1.9.0),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python3-babel (>= 1.3),
+                     python3-babel (>= 2.3.4),
                      python3-ddt,
-                     python3-oslotest (>= 1.2.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-six (>= 1.9.0),
                      python3-testscenarios (>= 0.4),
                      python3-testtools (>= 1.4.0),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-os-testr.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-os-testr.git
+Build-Conflicts: python-os-testr,
+                 python3-os-testr,
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-os-testr?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-os-testr -b debian/newton
 Homepage: https://github.com/openstack/os-testr
 XS-Testsuite: autopkgtest
 
 Package: python-os-testr
 Architecture: all
-Depends: python-babel (>= 1.3),
+Depends: python-babel (>= 2.3.4),
          python-pbr (>= 1.8),
          python-testtools (>= 1.4.0),
          python-testrepository (>= 0.0.18),
@@ -58,7 +60,7 @@
 
 Package: python3-os-testr
 Architecture: all
-Depends: python3-babel (>= 1.3),
+Depends: python3-babel (>= 2.3.4),
          python3-pbr (>= 1.8),
          python3-subunit (>= 0.0.18),
          python3-testrepository (>= 0.0.18),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/os-testr.git
+UPSTREAM_GIT := https://github.com/openstack/os-testr.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)

## python-os-testr 0.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
testrepository>=0.0.18 # Apache-2.0/BSD
python-subunit>=0.0.18 # Apache-2.0/BSD
testtools>=1.4.0 # MIT

=== debian/changelog ===
python-os-testr (0.8.0-1) unstable; urgency=medium

  * New upstream version

 -- David Homolka <david.homolka@ultimum.io>  Thu, 03 Aug 2017 10:30:19 +0200

python-os-testr (0.7.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:08:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: James Page <james.page@ubuntu.com>,
            Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -19,7 +19,7 @@
                      python-coverage (>= 3.6),
                      python-ddt,
                      python-hacking,
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1:1.10.0),
                      python-six (>= 1.9.0),
                      python-testscenarios (>= 0.4),
@@ -35,8 +35,8 @@
 Build-Conflicts: python-os-testr,
                  python3-os-testr,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-os-testr?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-os-testr -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-os-testr.git/?h=debian%2Focata
+Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-os-testr.git -b debian/ocata
 Homepage: https://github.com/openstack/os-testr
 XS-Testsuite: autopkgtest

## python-os-testr 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
stestr>=1.0.0 # Apache-2.0
python-subunit>=0.0.18 # Apache-2.0/BSD
testtools>=1.4.0 # MIT

=== debian/changelog ===
python-os-testr (1.0.0-4) unstable; urgency=medium

  * Remove test_trace() broken test (Closes: #892745).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Apr 2018 19:49:35 +0000

python-os-testr (1.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Thomas Goirand ]
  * Standards-Version is now 4.1.3.
  * A bit of clean-up in debian/rules.
  * Run python setup.py egg_info before running tests.
  * Fix Python path of ostestr bin in debian/bin (Closes: #892745).

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 11:45:04 +0000

python-os-testr (1.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Standards-Version is now 4.1.1.
  * Add remove-privacy-breanch-in-docs.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:45:24 +0000

python-os-testr (1.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Switched to using stestr, just like upstream did.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2017 21:25:49 +0200

=== debian/control ===
Source: python-os-testr
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 70~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage (>= 3.6),
 python-ddt,
 python-hacking,
 python-openstackdocstheme (>= 1.16.0),
 python-oslotest,
 python-six,
 python-stestr,
 python-testscenarios,
 python-testtools,
 python3-ddt,
 python3-oslotest,
 python3-six,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-testr
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-testr.git
Homepage: https://github.com/openstack/os-testr

Package: python-os-testr
Architecture: all
Depends:
 python-pbr (>= 2.0.0),
 python-stestr,
 python-testtools,
 subunit,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-testr-doc,
Description: Utility wrappers for testrepository for OpenStack projects - Python 2.x
 A number of small wrappers to support use of testrepository
 across OpenStack projects.
 .
 This package contains the Python 2.x module and binaries.

Package: python-os-testr-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Utility wrappers for testrepository for OpenStack projects - doc
 A number of small wrappers to support use of testrepository
 across OpenStack projects.
 .
 This package contains the documentation.

Package: python3-os-testr
Architecture: all
Depends:
 python3-pbr (>= 2.0.0),
 python3-stestr,
 python3-testtools,
 subunit,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-testr-doc,
Description: Utility wrappers for testrepository for OpenStack projects - Python 3.x
 A number of small wrappers to support use of testrepository
 across OpenStack projects.
 .
 This package contains the Python 3.x module and binaries.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-testr.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build *.egg-info

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	python setup.py egg_info
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		chmod +x $(CURDIR)/debian/bin/* ; \
		for j in $(CURDIR)/debian/bin/* ; do \
			echo sed "1 s/.*/#\!\/usr\/bin\/python$$i/" $$j ; \
		done ; \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .stestr ; \
		PYTHON=python$$i python$$i -m stestr.cli init ; \
		TEMP_REZ=`mktemp -t` ; \
		export PATH=$$PATH:$(CURDIR)/debian/bin ; PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$i -m stestr.cli run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		python$$i -m stestr.cli slowest ; \
	done
	set -e ; set -x ; for j in $(CURDIR)/debian/bin/* ; do \
		echo sed "1 s/.*/#\!\/usr\/bin\/python/" $$j ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-os-testr-doc/usr/share/doc/python-os-testr-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-os-testr 1.1.0

=== requirements.txt ===
--- 
+++ 
@@ -4,5 +4,5 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 stestr>=1.0.0 # Apache-2.0
-python-subunit>=0.0.18 # Apache-2.0/BSD
-testtools>=1.4.0 # MIT
+python-subunit>=1.0.0 # Apache-2.0/BSD
+testtools>=2.2.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD

=== debian/changelog ===
python-os-testr (1.1.0-3) unstable; urgency=medium

  * Re-add python3-mock as build-depends (Closes: #973176).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2020 09:54:09 +0100

python-os-testr (1.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:48:27 +0200

python-os-testr (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-privacy-breanch-in-docs.patch.
  * Removed Default_concurrency_to_0_to_avoid_TypeError_in_stestr.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 21:11:23 +0200

python-os-testr (1.0.0-6) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests after Python 2 support drop (Closes: #935833).

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Aug 2019 21:34:48 +0200

python-os-testr (1.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #934095).
  * Add Default_concurrency_to_0_to_avoid_TypeError_in_stestr.patch taken from
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Aug 2019 09:04:40 +0200

=== debian/control ===
Source: python-os-testr
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-six,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-testr
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-testr.git
Homepage: https://github.com/openstack/os-testr

Package: python-os-testr-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Utility wrappers for testrepository for OpenStack projects - doc
 A number of small wrappers to support use of testrepository
 across OpenStack projects.
 .
 This package contains the documentation.

Package: python3-os-testr
Architecture: all
Depends:
 python3-pbr,
 python3-stestr,
 python3-testtools,
 subunit,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-testr-doc,
Description: Utility wrappers for testrepository for OpenStack projects - Python 3.x
 A number of small wrappers to support use of testrepository
 across OpenStack projects.
 .
 This package contains the Python 3.x module and binaries.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-testr.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build *.egg-info

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	export PATH=$$PATH:$(CURDIR)/debian/tmp/usr/bin ; pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
	python3 -m sphinx -b html doc/source debian/python-os-testr-doc/usr/share/doc/python-os-testr-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

## python-os-testr 2.0.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,5 +3,4 @@
 # process, which may cause wedges in the gate later.
 openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
-sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2  # BSD

=== debian/changelog ===
python-os-testr (2.0.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Jul 2020 19:03:39 +0000

python-os-testr (2.0.0-0ubuntu1) groovy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Victoria.
  * d/control: Rename subunit package to python3-subunit.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 07:02:18 +0000

python-os-testr (1.1.0-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
  * Dropped changes, superseded in Debian:
    - d/tests/unittests: Execute tests using self.
    - Do not run Python2 unittests
    - Drop attempts to use update-alternatives in the autopkgtests, since the
      package no longer uses alternatives.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Feb 2020 17:16:14 -0800

python-os-testr (1.0.0-5ubuntu3) eoan; urgency=medium

  * Drop attempts to use update-alternatives in the autopkgtests, since the
    package no longer uses alternatives.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Aug 2019 09:57:42 -0700

python-os-testr (1.0.0-5ubuntu2) eoan; urgency=medium

  * Do not run Python2 unittests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 13:24:08 +0200

python-os-testr (1.0.0-5ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/tests/unittests: Execute tests using self.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 10:05:52 +0200

python-os-testr (1.0.0-4ubuntu2) eoan; urgency=medium

  * debian/patches/595c06c5bc662ec945e728933df6ac5d6ab116c6.patch:
    - upstream patch to fix issue with Python3.7

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2019 19:01:26 +0200

python-os-testr (1.0.0-4ubuntu1) cosmic; urgency=medium

  * Re-instate Ubuntu changes:
    - d/watch: Use upstream release tarballs.
    - d/tests/unittests: Execute tests using self.

 -- James Page <james.page@ubuntu.com>  Wed, 29 Aug 2018 12:36:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-os-testr
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
@@ -18,17 +19,16 @@
  python3-coverage,
  python3-ddt,
  python3-hacking,
- python3-mock,
  python3-openstackdocstheme,
  python3-oslotest,
  python3-six,
  python3-stestr,
  python3-testscenarios,
  python3-testtools,
- subunit,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-testr
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-testr.git
+ python3-subunit,
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-testr
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-testr
 Homepage: https://github.com/openstack/os-testr
 
 Package: python-os-testr-doc

## python-os-testr 2.0.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-os-testr (2.0.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1047249).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 11:12:45 +0200

python-os-testr (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:20:06 +0200

python-os-testr (2.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed version in openstack-pkg-tools build-depends.
  * debhelper-compat 11.
  * Added python3-sphinxcontrib.svg2pdfconverter as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Sep 2021 21:25:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build *.egg-info
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-os-testr 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,6 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-stestr>=1.0.0 # Apache-2.0
 python-subunit>=1.0.0 # Apache-2.0/BSD
 testtools>=2.2.0 # MIT

=== debian/changelog ===
python-os-testr (3.0.0-5) unstable; urgency=medium

  * Add fix-compat-with-subunit.patch (Closes: #1117424).

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Oct 2025 16:01:06 +0200

python-os-testr (3.0.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090556).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:23:36 +0100

python-os-testr (3.0.0-3) unstable; urgency=medium

  * Remove python3-mock (Closes: #1070661).

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2024 09:12:41 +0200

python-os-testr (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:10:18 +0200

python-os-testr (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 11:17:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: python-os-testr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -23,12 +22,13 @@
  python3-oslotest,
  python3-six,
  python3-stestr,
+ python3-sphinxcontrib.svg2pdfconverter,
  python3-testscenarios,
  python3-testtools,
- python3-subunit,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-testr
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-testr
+ subunit,
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-testr
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-testr.git
 Homepage: https://github.com/openstack/os-testr
 
 Package: python-os-testr-doc

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info
@@ -29,4 +29,4 @@
 
 override_dh_sphinxdoc:
 	python3 -m sphinx -b html doc/source debian/python-os-testr-doc/usr/share/doc/python-os-testr-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/os-testr/tags .*/(\d[\d\.]+)\.tar\.gz
